package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.util.resource.Labels;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.LogHistoricoContingencia;
import com.rjconsultores.ventaboletos.enums.EAmbienteContingencia;
import com.rjconsultores.ventaboletos.enums.EStatusContingencia;
import com.rjconsultores.ventaboletos.utilerias.DateUtil;

public class RenderHistoricoContingencia implements ListitemRenderer {

	@Override
	public void render(Listitem lstm, Object o) throws Exception {
		LogHistoricoContingencia log = (LogHistoricoContingencia) o;

		configuraListCell(lstm, log.getMotivo());
		configuraListCell(lstm, log.getIndautomatica() ? Labels.getLabel("MSG.SI") : Labels.getLabel("MSG.NO"));
		configuraListCell(lstm, log.getUsuario() == null ? "" : log.getUsuario().getUsuarioId() + " - " + log.getUsuario().getName());
		configuraListCell(lstm, DateUtil.getStringDate(log.getDataHora(), "dd/MM/yyyy HH:mm"));
		configuraListCell(lstm, EAmbienteContingencia.getAmbienteContingencia(log.getAmbiente()).getDescricao());
		configuraListCell(lstm, EStatusContingencia.getStatusContingencia(Integer.valueOf(log.getStatus())).getDescricao());
        
        lstm.setAttribute("data", log);
	}

	private void configuraListCell(Listitem listItemParent, String valor) {
		Listcell lc = new Listcell(valor);
        lc.setParent(listItemParent);
	}

}
